Bug 1277484 (nette/nette) - Review Request: php-nette - Nette Framework
Summary: Review Request: php-nette - Nette Framework
Keywords:
Status: CLOSED ERRATA
Alias: nette/nette
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: nette/tester nette/neon nette/utils nette/tokenizer nette/finder nette/php-generator nette/component-model nette/di tracy/tracy latte/latte nette/caching nette/reflection nette/http nette/security nette/mail nette/robot-loader 1277441 nette/forms 1277470 nette/database nette/bootstrap nette/deprecated
Blocks: kdyby/events
TreeView+ depends on / blocked
 
Reported: 2015-11-03 12:51 UTC by Remi Collet
Modified: 2016-03-09 14:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-02 21:22:58 UTC
shawn: fedora-review+


Attachments (Terms of Use)
phpcompatinfo-full.php (5.74 KB, text/plain)
2016-02-22 12:56 UTC, Shawn Iwinski
no flags Details
phpcompatinfo-lib.php (951 bytes, text/plain)
2016-02-22 12:56 UTC, Shawn Iwinski
no flags Details
fedora-review.txt (7.80 KB, text/plain)
2016-02-22 12:57 UTC, Shawn Iwinski
no flags Details

Description Remi Collet 2015-11-03 12:51:47 UTC
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/f1124e906d8759cb3536917e32fdc2185faac5cb/php/nette/php-nette/php-nette.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-nette-2.3.7-1.remi.src.rpm
Description: 
Nette Framework is a popular tool for PHP web development
It is designed to be as usable and as friendly as possible.
It focuses on security and performance and is definitely one
of the safest PHP frameworks.

Nette Framework speaks your language and helps you to easily build better websites.
Cache accelerates your application by storing data, once hardly retrieved,
for future use.

To use this library, you just have to add, in your project:
  require_once '/usr/share/php/Nette/autoload.php';

Fedora Account System Username: remi

Comment 2 Remi Collet 2015-12-04 07:21:48 UTC
All the reviews and already approved packages are updated to match minimal version required by this meta package.

Comment 3 Upstream Release Monitoring 2015-12-06 18:50:33 UTC
pbrobinson's scratch build of php-nette-php-generator?#27aa0e4b766e380ae39ab910d4d0d7255a7172fc for epel7-archbootstrap and git://pkgs.fedoraproject.org/php-nette-php-generator?#27aa0e4b766e380ae39ab910d4d0d7255a7172fc completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12090326

Comment 4 Shawn Iwinski 2016-02-22 12:56:14 UTC
Created attachment 1129305 [details]
phpcompatinfo-full.php

phpCompatInfo version 5.0.0 DB built Jan 09 2016 15:36:21 CET

Comment 5 Shawn Iwinski 2016-02-22 12:56:37 UTC
Created attachment 1129306 [details]
phpcompatinfo-lib.php

phpCompatInfo version 5.0.0 DB built Jan 09 2016 15:36:21 CET

Comment 6 Shawn Iwinski 2016-02-22 12:57:07 UTC
Created attachment 1129307 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1277484
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 Shawn Iwinski 2016-02-22 12:57:30 UTC
[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/php/Nette(php-
     nette-utils, php-nette-tokenizer, php-nette-safe-stream, php-nette-
     neon)

Comment 9 Shawn Iwinski 2016-02-22 14:13:29 UTC
[x]: Package does not own files or directories owned by other packages.



[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.



No blockers.

===== APPROVED =====

Comment 10 Gwyn Ciesla 2016-02-22 14:43:08 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/php-nette

Comment 11 Fedora Update System 2016-02-22 15:42:46 UTC
php-nette-2.3.9-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ab6c547355

Comment 12 Fedora Update System 2016-02-22 15:42:47 UTC
php-nette-2.3.9-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a21d82c75

Comment 13 Fedora Update System 2016-02-22 15:42:48 UTC
php-nette-2.3.9-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a21d82c75

Comment 14 Fedora Update System 2016-02-22 15:42:50 UTC
php-nette-2.3.9-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a21d82c75

Comment 15 Fedora Update System 2016-02-22 15:42:52 UTC
php-nette-2.3.9-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d9c8a9ad7f

Comment 16 Fedora Update System 2016-02-22 15:42:54 UTC
php-nette-2.3.9-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-22d9369b13

Comment 17 Fedora Update System 2016-02-22 21:20:17 UTC
php-nette-2.3.9-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-22d9369b13

Comment 18 Fedora Update System 2016-02-23 02:20:53 UTC
php-nette-2.3.9-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d9c8a9ad7f

Comment 19 Fedora Update System 2016-02-23 02:52:11 UTC
php-nette-2.3.9-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a21d82c75

Comment 20 Fedora Update System 2016-02-23 15:20:00 UTC
php-nette-2.3.9-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ab6c547355

Comment 21 Fedora Update System 2016-03-02 21:22:56 UTC
php-nette-2.3.9-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2016-03-02 21:51:16 UTC
php-nette-2.3.9-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2016-03-09 14:27:23 UTC
php-nette-2.3.9-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2016-03-09 14:59:41 UTC
php-nette-2.3.9-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.